BasicGraphUI.GraphIncrementAction (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.plaf.basic.BasicGraphUI.GraphIncrementAction class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.plaf.basic
Class BasicGraphUI.GraphIncrementAction

    java.lang.Object
      javax.swing.AbstractAction
          org.jgraph.plaf.basic.BasicGraphUI.GraphIncrementAction

All Implemented Interfaces:
  Action, ActionListener, Cloneable, EventListener, Serializable

Enclosing class:
  BasicGraphUI

public class BasicGraphUI.GraphIncrementAction
extends AbstractAction

GraphIncrementAction is used to handle up/down actions.

See Also:
  Serialized Form

Field Summary
`protected int` | `direction` Specifies the direction to adjust the selection by.

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`boolean` | `isEnabled()`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### direction

    protected int direction

  Specifies the direction to adjust the selection by.

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

### isEnabled

    public boolean isEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.